car(1)

NAME
car - crytographic archiver.

SYNOPSIS
car [options] [paths...]
car --decode [.carfile]

DESCRIPTION
Creates and decodes portable cross-platform crytographic archives. An archive can be a collection of files, or an in-stream message that is piped. Output can be to a binary .car file, or ascified text. A symetric cipher is used, and the passhrase is hashed to form a key.

OPTIONS

--cipher=name
    Specify symetric cipher. By default 256 bit aes is used.

--decrypt
    Specify decryption operation on an existing car stream or file. If no file is specified, stdin is used.

--digest=name
    Specify name of digest algorithm. By default sha will be used.

--follow
    Dereference and follow symlinks. Otherwise they are ignored.

--output=filename
    Specify output file for a new archive. By default stdout is used.

--overwrite
    Always overwrite existing files without prompting.

--quiet
    Non-interactive and no status output.

--recursive
    If argument is a directory, recursively scan directory and any subdirectory contents as arguments.

--help
    Outputs help screen for the user.

AUTHOR
car was written by David Sugar <dyfet@gnutelephony.org>.

REPORTING BUGS
Report bugs to bug-commoncpp@gnu.org or bugs@gnutelephony.org.

COPYRIGHT
Copyright © 2010-2014 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.